Open CASCADE Technology: DBC_BaseArray Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
DBC_BaseArray Class Reference

`#include <DBC_BaseArray_objs.hxx>`

Inheritance diagram for DBC_BaseArray:
[legend]

## Public Member Functions
| DBC_BaseArray ()
| Creates an BaseArray of NULL size. More...
| DBC_BaseArray (const Standard_Integer Size)
| Creates an BaseArray of lower bound 0 and upper bound <Size>-1. More...
| DBC_BaseArray (const DBC_BaseArray &BaseArray)
| Creates an array which is the copy of the given argument. More...
virtual void | Delete ()
virtual | ~DBC_BaseArray ()
Standard_Integer | Length () const
Standard_Integer | Upper () const
| Returns the upper bound. More...
Standard_Address | Lock () const
| Locks the array <me> in memory and returns its virtual address. More...
void | Unlock () const
| unlocks the array <me> from memory More...
Standard_Integer | _CSFDB_GetDBC_BaseArraymySize () const
void | _CSFDB_SetDBC_BaseArraymySize (const Standard_Integer p)
DBC_DBVArray | _CSFDB_GetDBC_BaseArraymyData () const
void | _CSFDB_SetDBC_BaseArraymyData (const DBC_DBVArray p)
| DBC_BaseArray ()
| DBC_BaseArray (const Standard_Integer Size)
| DBC_BaseArray (const DBC_BaseArray &BaseArray)
Standard_Integer | Length () const
Standard_Integer | Upper () const
Standard_Address | Lock () const
void | Unlock () const
void | Destroy ()
| ~DBC_BaseArray ()

## Protected Attributes
Standard_Integer | mySize
DBC_DBVArray | myData

## Constructor & Destructor Documentation

DBC_BaseArray::DBC_BaseArray | ( |  | ) |

Creates an BaseArray of NULL size.

DBC_BaseArray::DBC_BaseArray | ( | const Standard_Integer | Size | ) |

Creates an BaseArray of lower bound 0 and upper bound <Size>-1.

DBC_BaseArray::DBC_BaseArray | ( | const DBC_BaseArray & | BaseArray | ) |

Creates an array which is the copy of the given argument.

virtual DBC_BaseArray::~DBC_BaseArray | ( |  | ) |
| inlinevirtual

DBC_BaseArray::DBC_BaseArray | ( |  | ) |

DBC_BaseArray::DBC_BaseArray | ( | const Standard_Integer | Size | ) |

DBC_BaseArray::DBC_BaseArray | ( | const DBC_BaseArray & | BaseArray | ) |

DBC_BaseArray::~DBC_BaseArray | ( |  | ) |
| inline

## Member Function Documentation

DBC_DBVArray DBC_BaseArray::_CSFDB_GetDBC_BaseArraymyData | ( |  | ) | const
| inline

Standard_Integer DBC_BaseArray::_CSFDB_GetDBC_BaseArraymySize | ( |  | ) | const
| inline

void DBC_BaseArray::_CSFDB_SetDBC_BaseArraymyData | ( | const DBC_DBVArray | p | ) |
| inline

void DBC_BaseArray::_CSFDB_SetDBC_BaseArraymySize | ( | const Standard_Integer | p | ) |
| inline

virtual void DBC_BaseArray::Delete | ( |  | ) |
| virtual

void DBC_BaseArray::Destroy | ( |  | ) |

Standard_Integer DBC_BaseArray::Length | ( |  | ) | const

Standard_Integer DBC_BaseArray::Length | ( |  | ) | const

Standard_Address DBC_BaseArray::Lock | ( |  | ) | const

Standard_Address DBC_BaseArray::Lock | ( |  | ) | const

Locks the array <me> in memory and returns its virtual address.

void DBC_BaseArray::Unlock | ( |  | ) | const

void DBC_BaseArray::Unlock | ( |  | ) | const

unlocks the array <me> from memory

Standard_Integer DBC_BaseArray::Upper | ( |  | ) | const

Standard_Integer DBC_BaseArray::Upper | ( |  | ) | const

Returns the upper bound.

## Field Documentation

DBC_DBVArray DBC_BaseArray::myData
| protected

Standard_Integer DBC_BaseArray::mySize
| protected

The documentation for this class was generated from the following files:

- DBC_BaseArray.hxx
- DBC_BaseArray_objs.hxx